> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get token transfers by contract

> Retrieves historical token transfer transactions for any ERC20 contract.



## OpenAPI

````yaml get /v1/token/transfers
openapi: 3.0.2
info:
  title: 🪙 Token API
  version: v1.0.0
servers:
  - url: https://api.chainbase.online
    description: production server
security: []
paths:
  /v1/token/transfers:
    get:
      tags:
        - Token Transfers
      summary: Get token transfers by contract
      description: Retrieves historical token transfer transactions for any ERC20 contract.
      operationId: GetTokenTransfers
      parameters:
        - description: >-
            chain network id, see [list of
            details](/platform/features/api/web3-api)
          required: true
          schema:
            title: Chain Id
            type: integer
            description: >-
              chain network id, see [list of
              details](/platform/features/api/web3-api)
          example: '1'
          name: chain_id
          in: query
        - description: The address of the token contract
          required: false
          schema:
            title: Contract Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: The address of the token contract
          example: '0x7d1afa7b718fb893db30a3abc0cfc608aacfebb0'
          name: contract_address
          in: query
        - description: A hex string referencing a wallet address
          required: false
          schema:
            title: Address
            pattern: ^0[xX]{1}[a-fA-F0-9]{40}$
            type: string
            description: A hex string referencing a wallet address
          example: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'
          name: address
          in: query
        - description: Inclusive from block number (hex string or int)
          required: false
          schema:
            title: From Block
            type: string
            description: Inclusive from block number (hex string or int)
          name: from_block
          in: query
        - description: Inclusive to block number (hex string, int, or 'latest')
          required: false
          schema:
            title: To Block
            type: string
            description: Inclusive to block number (hex string, int, or 'latest')
          example: latest
          name: to_block
          in: query
        - description: Inclusive start timestamp
          required: false
          schema:
            title: From Timestamp
            type: integer
            description: Inclusive start timestamp
          name: from_timestamp
          in: query
        - description: Inclusive end timestamp
          required: false
          schema:
            title: End Timestamp
            type: integer
            description: Inclusive end timestamp
          name: end_timestamp
          in: query
        - description: The page offset
          required: false
          schema:
            title: Page
            minimum: 1
            type: integer
            description: The page offset
            default: 1
          name: page
          in: query
        - description: The desired page size limit. Less or equal than 100
          required: false
          schema:
            title: Limit
            maximum: 100
            minimum: 1
            type: integer
            description: The desired page size limit. Less or equal than 100
            default: 20
          name: limit
          in: query
        - required: true
          schema:
            title: X-Api-Key
            type: string
            example: demo
          example: demo
          name: x-api-key
          in: header
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseGetTokenTransfers'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMessage'
components:
  schemas:
    ResponseGetTokenTransfers:
      title: ResponseGetTokenTransfers
      required:
        - data
      type: object
      properties:
        code:
          title: Code
          type: integer
          default: 0
        message:
          title: Message
          type: string
          default: ok
        data:
          title: Data
          type: array
          items:
            $ref: '#/components/schemas/TokenTransfer'
        next_page:
          title: Next Page
          type: integer
        count:
          title: Count
          type: integer
    ErrorMessage:
      title: ErrorMessage
      required:
        - code
        - message
      type: object
      properties:
        code:
          title: Code
          type: integer
        message:
          title: Message
          type: string
    TokenTransfer:
      title: TokenTransfer
      required:
        - block_number
        - block_timestamp
        - transaction_index
        - log_index
        - transaction_hash
        - from_address
        - to_address
        - value
      type: object
      properties:
        block_number:
          title: Block Number
          type: integer
        block_timestamp:
          title: Block Timestamp
          type: string
        transaction_index:
          title: Transaction Index
          type: integer
        log_index:
          title: Log Index
          type: integer
        transaction_hash:
          title: Transaction Hash
          type: string
        from_address:
          title: From Address
          type: string
        to_address:
          title: To Address
          type: string
        value:
          title: Value
          type: string

````